# Guild

## Get guild

<mark style="color:blue;">`GET`</mark> `https://api.server-discord.com/v2/guild/:id`

Информация о сервере

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | string | ID сервера  |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | string | SDC Token   |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "avatar": "a_8f05534e4f750cf535988ae8a91fe9ad", // Хэш аватарки. Подробнее на https://discord.com/developers/docs/reference#image-formatting
  "lang": "ru",
  "name": "SD.Community",
  "des": "Описание сервера",
  "invite": "https://discord.gg/GWTcywt",
  "owner": "MegaVasiliy007#3301",
  "online": 250,
  "members": 500,
  "bot": 1,                                       // Присутствует ли бот SD.C Monitoring#9896 на сервере.
  "boost": 3,
  "status": 8,
  "upCount": 299,
  "tags": "communication,programming,community"
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
Если вы хотите проверить, есть ли значок **Пасхантер**, всё что нужно сделать - это использовать побитовый оператор.
{% endhint %}

```javascript
const status = 40;
status & 8    //  True  (Фаворитика)
status & 16   //  False (Баг хантер)
status & 32   //  True  (Пасхантер)
```

{% tabs %}
{% tab title="Информация о статусах" %}

```javascript
sitedev     1
verefied    2
partner     4
favorite    8
bughunter   16
easteregg   32
botdev      64
youtube     128
twitch      256
spamhunt    512
```

{% endtab %}

{% tab title="Список языков" %}

```js
ru, ua, en, all
```

{% endtab %}

{% tab title="Список тегов" %}

```js
eighteen        //  18+
anime           //  Аниме
games           //  Игры
art             //  Искусство
business        //  Бизнес
music           //  Музыка
communication   //  Общение
rp              //  RolePlay
policy          //  Политика
programming     //  Программирование
community       //  Сообщество
technologies    //  Технологии
films           //  Фильмы
humor           //  Юмор
more            //  Другое
```

{% endtab %}
{% endtabs %}

## Get place

<mark style="color:blue;">`GET`</mark> `https://api.server-discord.com/v2/guild/:id/place`

Получить место сервера в списке

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | string | ID сервера  |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | string | SDC Token   |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "place": 0
}
```

{% endtab %}
{% endtabs %}

## Get rated

<mark style="color:blue;">`GET`</mark> `https://api.server-discord.com/v2/guild/:id/rated`

Получить всех проголосовавших пользователей и их оценки

#### Path Parameters

| Name                                 | Type   | Description |
| ------------------------------------ | ------ | ----------- |
| id<mark style="color:red;">\*</mark> | string | ID сервера  |

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| Authorization<mark style="color:red;">\*</mark> | string | SDC Token   |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    //1: Положительная оценка. 
    //-1: Отрицательная оценка.
    "000000000000000000": 1,
    "111111111111111111": 1,
    "222222222222222222": 1,
    "333333333333333333": 1
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.server-discord.com/api/site/guild.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
